Resolve alias
Retrieves the data associated with a given alias
curl --request GET \
--url https://api.vintr.xyz/{alias} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vintr.xyz/{alias}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vintr.xyz/{alias}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alias": "mylocation123#vintr",
"type": "business",
"location": {
"address": {
"line1": "123 Main Street",
"line2": "",
"line3": "",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
},
"geo": {
"latitude": 37.7749,
"longitude": -122.4194,
"altitude": null,
"precision_meters": 10
},
"instructions": {
"general": "Main entrance on street level",
"delivery": "Use loading dock around back",
"autonomous": "Proceed to designated drone landing zone"
}
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}{
"error": "Invalid alias format"
}{
"error": "Not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The alias to resolve (alphanumeric characters only)
^[a-zA-Z0-9]+$"mylocation123"
Response
Alias successfully resolved
The full alias identifier
"mylocation123#vintr"
The type of location owner
business, individual Location details including address, coordinates, and delivery instructions
Hide child attributes
Hide child attributes
Physical address information
Hide child attributes
Hide child attributes
Primary address line
"123 Main Street"
City name
"San Francisco"
State or province
"CA"
Postal or ZIP code
"94105"
ISO country code
"US"
Secondary address line (apartment, suite, etc.)
"Apt 4B"
Additional address information
""
Geographic coordinates and precision
Hide child attributes
Hide child attributes
Latitude coordinate
37.7749
Longitude coordinate
-122.4194
Precision of the coordinates in meters
10
Altitude in meters (null if not applicable)
null
Delivery and access instructions
Hide child attributes
Hide child attributes
General access instructions
"Main entrance on street level"
Specific delivery instructions
"Use loading dock around back"
Instructions for autonomous delivery systems
"Proceed to designated drone landing zone"
ISO timestamp when the alias was created
ISO timestamp when the alias was last updated
Was this page helpful?
